# DaprProtos.SubtleSignRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.SubtleSignRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubtleSignRequest`, `DaprProtos.SubtleSignRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.SubtleSignRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAlgorithm()` Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString` `getAlgorithmBytes()` Algorithm to use, as in the JWA standard.
`String` `getComponentName()` Name of the component
`com.google.protobuf.ByteString` `getComponentNameBytes()` Name of the component
`com.google.protobuf.ByteString` `getDigest()` Digest to sign.
`String` `getKeyName()` Name (or name/version) of the key.
`com.google.protobuf.ByteString` `getKeyNameBytes()` Name (or name/version) of the key.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getComponentName

    String getComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The componentName.

#### getComponentNameBytes

    com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The bytes for componentName.

#### getDigest

    com.google.protobuf.ByteString getDigest()

     Digest to sign.

`bytes digest = 2;`

Returns:
  The digest.

#### getAlgorithm

    String getAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Returns:
  The algorithm.

#### getAlgorithmBytes

    com.google.protobuf.ByteString getAlgorithmBytes()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Returns:
  The bytes for algorithm.

#### getKeyName

    String getKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Returns:
  The keyName.

#### getKeyNameBytes

    com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Returns:
  The bytes for keyName.